### 5.1.78 leadmonom

`Syntax:`
  `leadmonom (` poly_expression `)`
  `leadmonom (` vector_expression `)`
`Type:`
  the same as the input type
`Purpose:`
  returns the leading monomial of a polynomial or a vector as a polynomial or vector whose coefficient is one.
`Example:`

        ring r=32003,(x,y,z),(c,ds);
        poly f=2x2+3y+4z3;
        vector v=[0,2x10,f];
        leadmonom(f);
      ==> y
        leadmonom(v);
      ==> [0,x10]
        leadmonom(0);
      ==> 0

See intvec; lead; leadcoef; leadexp; poly; vector.

User manual for Singular version 4.4.1, 2025, generated by texi2html.